diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponseBytes.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponseBytes.java
index 7f41d02d1ac5d3a774012f2efa45a836138c2af0..0f34a6156f5da9a552e1c6fedeb72589fc5efd6a 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponseBytes.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponseBytes.java
@@ -17,8 +17,17 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import org.mozilla.jss.asn1.*;
-import java.io.*;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.OBJECT_IDENTIFIER;
+import org.mozilla.jss.asn1.OCTET_STRING;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 
 /**
  * RFC 2560:
@@ -58,7 +67,8 @@ public class ResponseBytes implements ASN1Value
 	///////////////////////////////////////////////////////////////////////
 	// Constructors
 	///////////////////////////////////////////////////////////////////////
-	private ResponseBytes() { }
+	@SuppressWarnings("unused")
+    private ResponseBytes() { }
 
 	public ResponseBytes(OBJECT_IDENTIFIER responseType, OCTET_STRING response)
 	{
@@ -79,12 +89,12 @@ public class ResponseBytes implements ASN1Value
 
 	public Tag getTag()
 	{
-		return TAG;
+		return ResponseBytes.TAG;
 	}
 
 	public void encode(OutputStream ostream) throws IOException
 	{
-		encode(TAG, ostream);
+		encode(ResponseBytes.TAG, ostream);
 	}
 
 	public void encode(Tag implicitTag, OutputStream ostream)
@@ -96,7 +106,7 @@ public class ResponseBytes implements ASN1Value
 	private static final Template templateInstance = new Template();
 
 	public static Template getTemplate() {
-		return templateInstance;
+		return ResponseBytes.templateInstance;
 	}
 
 	/**
@@ -116,13 +126,13 @@ public class ResponseBytes implements ASN1Value
 
 		public boolean tagMatch(Tag tag)
 		{
-			return TAG.equals(tag);
+			return ResponseBytes.TAG.equals(tag);
 		}
 
 		public ASN1Value decode(InputStream istream)
 			throws InvalidBERException, IOException
 		{
-			return decode(TAG, istream);
+			return decode(ResponseBytes.TAG, istream);
 		}
 
 		public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponseData.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponseData.java
index c70229ce2f20664972d875e258aa91e137258157..cabd67b203cb49410d7d931d56982fa4fd2f1ecd 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponseData.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponseData.java
@@ -17,13 +17,20 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import java.io.*;
+import java.io.ByteArrayInputStream;
+import java.io.IOException;
+import java.io.InputStream;
 import java.io.OutputStream;
-import org.mozilla.jss.asn1.*;
-import org.mozilla.jss.asn1.BIT_STRING;
-import org.mozilla.jss.pkix.primitive.AlgorithmIdentifier;
-import org.mozilla.jss.pkix.cert.Certificate;
+
+import org.mozilla.jss.asn1.ANY;
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.EXPLICIT;
 import org.mozilla.jss.asn1.GeneralizedTime;
+import org.mozilla.jss.asn1.INTEGER;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 import org.mozilla.jss.pkix.cert.Extension;
 
 /**
@@ -53,7 +60,7 @@ public class ResponseData implements ASN1Value
 
     public ResponseData(INTEGER ver, ResponderID rid, GeneralizedTime produced, 
             SingleResponse sr[], Extension exts[]) {
-        mVer = (ver != null) ? ver : v1;
+        mVer = (ver != null) ? ver : ResponseData.v1;
         mRID = rid;
         mProduced = produced;
         mSR = sr;
@@ -63,18 +70,18 @@ public class ResponseData implements ASN1Value
     public ResponseData(ResponderID rid, GeneralizedTime produced, 
            SingleResponse sr[])
     {
-        this(v1, rid, produced, sr, null);
+        this(ResponseData.v1, rid, produced, sr, null);
     }
 
     public ResponseData(ResponderID rid, GeneralizedTime produced, 
            SingleResponse sr[], Extension exts[])
     {
-        this(v1, rid, produced, sr, exts);
+        this(ResponseData.v1, rid, produced, sr, exts);
     }
  
     public Tag getTag()
     {
-        return TAG;
+        return ResponseData.TAG;
     }
 
     public void encode(OutputStream os) throws IOException
@@ -86,7 +93,7 @@ public class ResponseData implements ASN1Value
     {    
         SEQUENCE seq = new SEQUENCE();
 
-        if (mVer != v1) {
+        if (mVer != ResponseData.v1) {
             seq.addElement(new EXPLICIT(Tag.get(0), new INTEGER(mVer)));
         }
 
@@ -144,7 +151,7 @@ public class ResponseData implements ASN1Value
     private static final Template templateInstance = new Template();
 
     public static Template getTemplate() {
-        return templateInstance;
+        return ResponseData.templateInstance;
     }
 
     /**
@@ -171,13 +178,13 @@ public class ResponseData implements ASN1Value
 
         public boolean tagMatch(Tag tag)
         {
-            return TAG.equals(tag);
+            return ResponseData.TAG.equals(tag);
         }
 
         public ASN1Value decode(InputStream istream)
             throws InvalidBERException, IOException
         {
-            return decode(TAG, istream);
+            return decode(ResponseData.TAG, istream);
         }
 
         public ASN1Value decode(Tag implicitTag, InputStream istream)
@@ -186,7 +193,7 @@ public class ResponseData implements ASN1Value
             SEQUENCE seq = (SEQUENCE) seqt.decode(implicitTag, 
                 istream);
 
-            INTEGER ver = v1;
+            INTEGER ver = ResponseData.v1;
             EXPLICIT e_ver = (EXPLICIT)seq.elementAt(0);
             if (e_ver != null && e_ver.getTag().getNum() == 0) {
                 ver = (INTEGER)e_ver.getContent();
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/RevokedInfo.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/RevokedInfo.java
index bb253077b3bb3fa03fac03789b71a7ad349d7967..34411e5b7f485f9f51bcce6261739dec63a551d9 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/RevokedInfo.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/RevokedInfo.java
@@ -17,8 +17,18 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import java.io.*;
-import org.mozilla.jss.asn1.*;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.EXPLICIT;
+import org.mozilla.jss.asn1.GeneralizedTime;
+import org.mozilla.jss.asn1.INTEGER;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 
 /**
  * RFC 2560:
@@ -68,7 +78,7 @@ public class RevokedInfo implements CertStatus
         private static final Template templateInstance = new Template();
 
         public static Template getTemplate() {
-                return templateInstance;
+                return RevokedInfo.templateInstance;
         }
 
         /**
@@ -91,13 +101,13 @@ public class RevokedInfo implements CertStatus
 
                 public boolean tagMatch(Tag tag)
                 {
-                        return TAG.equals(tag);
+                        return RevokedInfo.TAG.equals(tag);
                 }
 
                 public ASN1Value decode(InputStream istream)
                         throws InvalidBERException, IOException
                 {
-                        return decode(TAG, istream);
+                        return decode(RevokedInfo.TAG, istream);
                 }
 
                 public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/Signature.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/Signature.java
index e56d5f39798617253316b7ca1ae937677a431331..a2670de8a86a5f59fe2a19e4e06b8d39a50624a2 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/Signature.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/Signature.java
@@ -17,10 +17,19 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import org.mozilla.jss.pkix.primitive.AlgorithmIdentifier;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.BIT_STRING;
+import org.mozilla.jss.asn1.EXPLICIT;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 import org.mozilla.jss.pkix.cert.Certificate;
-import org.mozilla.jss.asn1.*;
-import java.io.*;
+import org.mozilla.jss.pkix.primitive.AlgorithmIdentifier;
 
 /**
  * RFC 2560:
@@ -75,7 +84,8 @@ public class Signature implements ASN1Value
 	///////////////////////////////////////////////////////////////////////
 	// constructors
 	///////////////////////////////////////////////////////////////////////
-	private Signature() { }
+	@SuppressWarnings("unused")
+    private Signature() { }
 
 	public Signature(AlgorithmIdentifier signatureAlgorithm,
 		BIT_STRING signature, SEQUENCE certs)
@@ -99,12 +109,12 @@ public class Signature implements ASN1Value
 
 	public Tag getTag()
 	{
-		return TAG;
+		return Signature.TAG;
 	}
 
 	public void encode(OutputStream ostream) throws IOException
 	{
-		encode(TAG, ostream);
+		encode(Signature.TAG, ostream);
 	}
 
 	public void encode(Tag implicitTag, OutputStream ostream)
@@ -117,7 +127,7 @@ public class Signature implements ASN1Value
 
 	public static Template getTemplate()
 	{
-		return templateInstance;
+		return Signature.templateInstance;
 	}
 
 	/**
@@ -143,13 +153,13 @@ public class Signature implements ASN1Value
 
 		public boolean tagMatch(Tag tag)
 		{
-			return TAG.equals(tag);
+			return Signature.TAG.equals(tag);
 		}
 
 		public ASN1Value decode(InputStream istream)
 			throws InvalidBERException, IOException
 		{
-			return decode(TAG, istream);
+			return decode(Signature.TAG, istream);
 		}
 
 		public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/SingleResponse.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/SingleResponse.java
index 94e95616293155e9f7a196e19b16c88b3a81b6cd..9fe7597a7b098ecf76a4a71aefb9e5a1e7e111c1 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/SingleResponse.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/SingleResponse.java
@@ -17,9 +17,19 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import java.io.*;
-import org.mozilla.jss.asn1.*;
-import org.mozilla.jss.pkix.primitive.Name;
+import java.io.ByteArrayInputStream;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ANY;
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.EXPLICIT;
+import org.mozilla.jss.asn1.GeneralizedTime;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 import org.mozilla.jss.pkix.cert.Extension;
 
 /**
@@ -114,7 +124,7 @@ public class SingleResponse implements ASN1Value
         private static final Template templateInstance = new Template();
 
         public static Template getTemplate() {
-                return templateInstance;
+                return SingleResponse.templateInstance;
         }
 
         /**
@@ -140,13 +150,13 @@ public class SingleResponse implements ASN1Value
 
                 public boolean tagMatch(Tag tag)
                 {
-                        return TAG.equals(tag);
+                        return SingleResponse.TAG.equals(tag);
                 }
 
                 public ASN1Value decode(InputStream istream)
                         throws InvalidBERException, IOException
                 {
-                        return decode(TAG, istream);
+                        return decode(SingleResponse.TAG, istream);
                 }
 
                 public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/TBSRequest.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/TBSRequest.java
index 833ebfb2aac89e567d2a2ffdbbedf2751d7b843c..e96d0a92f912757348a39f12bedb9bac329d5c3d 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/TBSRequest.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/TBSRequest.java
@@ -17,9 +17,19 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ANY;
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.EXPLICIT;
+import org.mozilla.jss.asn1.INTEGER;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 import org.mozilla.jss.pkix.cert.Extension;
-import org.mozilla.jss.asn1.*;
-import java.io.*;
 
 /**
  * RFC 2560:
@@ -88,12 +98,13 @@ public class TBSRequest implements ASN1Value
     // constructors
     ///////////////////////////////////////////////////////////////////////
     
+    @SuppressWarnings("unused")
     private TBSRequest() {}
 
     public TBSRequest(INTEGER version, ANY requestorName,
         SEQUENCE requestList, SEQUENCE requestExtensions)
     {
-        this.version = (version != null) ? version : v1;
+        this.version = (version != null) ? version : TBSRequest.v1;
         this.requestorName = requestorName;
         this.requestList = requestList;
         this.requestExtensions = requestExtensions;
@@ -106,13 +117,13 @@ public class TBSRequest implements ASN1Value
 
     public Tag getTag()
     {
-        return TAG;
+        return TBSRequest.TAG;
     }
 
     public void encode(OutputStream ostream)
         throws IOException
     {
-        encode(TAG, ostream);
+        encode(TBSRequest.TAG, ostream);
     }
 
     public void encode(Tag implicitTag, OutputStream ostream)
@@ -120,7 +131,7 @@ public class TBSRequest implements ASN1Value
     {
         SEQUENCE seq = new SEQUENCE();
 
-        if (version != v1) {
+        if (version != TBSRequest.v1) {
             seq.addElement(new EXPLICIT(Tag.get(0), version));
         }
 
@@ -144,7 +155,7 @@ public class TBSRequest implements ASN1Value
 
     public static Template getTemplate()
     {
-        return templateInstance;
+        return TBSRequest.templateInstance;
     }
 
     /**
@@ -173,13 +184,13 @@ public class TBSRequest implements ASN1Value
 
         public boolean tagMatch(Tag tag)
         {
-            return TAG.equals(tag);
+            return TBSRequest.TAG.equals(tag);
         }
 
         public ASN1Value decode(InputStream istream)
             throws InvalidBERException, IOException
         {
-            return decode(TAG, istream);
+            return decode(TBSRequest.TAG, istream);
         }
 
         public ASN1Value decode(Tag implicitTag, InputStream istream)
@@ -187,7 +198,7 @@ public class TBSRequest implements ASN1Value
         {
             SEQUENCE seq = (SEQUENCE) seqt.decode(implicitTag, istream);
 
-            INTEGER v = v1;  //assume default version
+            INTEGER v = TBSRequest.v1;  //assume default version
             EXPLICIT e_ver = (EXPLICIT) seq.elementAt(0);
             if (e_ver != null) {
                 v = (INTEGER) e_ver.getContent();
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/UnknownInfo.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/UnknownInfo.java
index 9e93fb01cbff0dcc80a8be81aa34fbb8ffb5d191..313d264be725cc27c9ad5cd71e03d9a93ece9d65 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/UnknownInfo.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/UnknownInfo.java
@@ -17,8 +17,16 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import java.io.*;
-import org.mozilla.jss.asn1.*;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.NULL;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 
 /**
  * RFC 2560:
@@ -55,7 +63,7 @@ public class UnknownInfo implements CertStatus
         private static final Template templateInstance = new Template();
 
         public static Template getTemplate() {
-                return templateInstance;
+                return UnknownInfo.templateInstance;
         }
 
         /**
@@ -64,24 +72,19 @@ public class UnknownInfo implements CertStatus
         public static class Template implements ASN1Template
         {
 
-                private SEQUENCE.Template seqt;
-
                 public Template()
                 {
-//                     seqt = new SEQUENCE.Template();
- //                    seqt.addElement(new NULL.Template() );
-
                 }
 
                 public boolean tagMatch(Tag tag)
                 {
-                        return TAG.equals(tag);
+                        return UnknownInfo.TAG.equals(tag);
                 }
 
                 public ASN1Value decode(InputStream istream)
                         throws InvalidBERException, IOException
                 {
-                        return decode(TAG, istream);
+                        return decode(UnknownInfo.TAG, istream);
                 }
 
                 public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/password/IPasswordReader.java b/pki/base/util/src/com/netscape/cmsutil/password/IPasswordReader.java
index 7cdb7ec920010bee33463302bda12ec888b5cdc9..1a6a026ba74d7677a778464e1be660b488d94a41 100644
--- a/pki/base/util/src/com/netscape/cmsutil/password/IPasswordReader.java
+++ b/pki/base/util/src/com/netscape/cmsutil/password/IPasswordReader.java
@@ -16,8 +16,8 @@
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.password;
-import java.util.*;
-import java.io.*;
+import java.io.IOException;
+import java.util.Enumeration;
 
 public interface IPasswordReader {
     public void init(String pwdPath) throws IOException;
diff --git a/pki/base/util/src/com/netscape/cmsutil/password/IPasswordStore.java b/pki/base/util/src/com/netscape/cmsutil/password/IPasswordStore.java
index 0f12f5242134a190140996aa4424bfb00496582a..3d7a8d80c540c3f5b4218654f143fee782071d0a 100644
--- a/pki/base/util/src/com/netscape/cmsutil/password/IPasswordStore.java
+++ b/pki/base/util/src/com/netscape/cmsutil/password/IPasswordStore.java
@@ -17,8 +17,8 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.password;
 
-import java.util.*;
-import java.io.*;
+import java.io.IOException;
+import java.util.Enumeration;
 
 public interface IPasswordStore {
     public void init(String pwdPath) throws IOException;
diff --git a/pki/base/util/src/com/netscape/cmsutil/password/IPasswordWriter.java b/pki/base/util/src/com/netscape/cmsutil/password/IPasswordWriter.java
index 4aa50560146b6f90c29502a0f8caba0fdb6b7b1a..2f42e02cbdd7ca406e84a23991147609b0ab88cd 100644
--- a/pki/base/util/src/com/netscape/cmsutil/password/IPasswordWriter.java
+++ b/pki/base/util/src/com/netscape/cmsutil/password/IPasswordWriter.java
@@ -16,8 +16,7 @@
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.password;
-import java.io.*;
-import java.util.*;
+import java.io.IOException;
 
 public interface IPasswordWriter {
     public void init(String pwdPath)
diff --git a/pki/base/util/src/com/netscape/cmsutil/password/PlainPasswordFile.java b/pki/base/util/src/com/netscape/cmsutil/password/PlainPasswordFile.java
index fd3fc8b0d2bdee1aeb08fa4fe86d453b3a8f025e..73a92d6ad17b93f10c35447300937bc0f33028ce 100644
--- a/pki/base/util/src/com/netscape/cmsutil/password/PlainPasswordFile.java
+++ b/pki/base/util/src/com/netscape/cmsutil/password/PlainPasswordFile.java
@@ -17,9 +17,11 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.password;
 
+import java.io.FileInputStream;
+import java.io.FileOutputStream;
+import java.io.IOException;
+import java.util.Enumeration;
 import java.util.Properties;
-import java.io.*;
-import java.util.*;
 
 public class PlainPasswordFile implements IPasswordStore{
     private String mPwdPath = "";
@@ -42,7 +44,7 @@ public class PlainPasswordFile implements IPasswordStore{
     }
 
     public String getPassword(String tag) {
-	return (String) mPwdStore.getProperty(tag);
+	return mPwdStore.getProperty(tag);
     }
 
     // return an array of String-based tag
@@ -58,7 +60,7 @@ public class PlainPasswordFile implements IPasswordStore{
         throws IOException, ClassCastException, NullPointerException
     {
         FileOutputStream file = new FileOutputStream(mPwdPath);
-        mPwdStore.store(file, PASSWORD_WRITER_HEADER);
+        mPwdStore.store(file, PlainPasswordFile.PASSWORD_WRITER_HEADER);
         file.close();
     }
 }
diff --git a/pki/base/util/src/com/netscape/cmsutil/password/PlainPasswordReader.java b/pki/base/util/src/com/netscape/cmsutil/password/PlainPasswordReader.java
index c6a1382363b2825a06807c6ba3ec2ff00d055c95..e4d00bfae6b9915b034332155c322879829097f2 100644
--- a/pki/base/util/src/com/netscape/cmsutil/password/PlainPasswordReader.java
+++ b/pki/base/util/src/com/netscape/cmsutil/password/PlainPasswordReader.java
@@ -17,9 +17,10 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.password;
 
+import java.io.FileInputStream;
+import java.io.IOException;
+import java.util.Enumeration;
 import java.util.Properties;
-import java.io.*;
-import java.util.*;
 
 public class PlainPasswordReader implements IPasswordReader{
     private String mPwdPath = "";
@@ -42,7 +43,7 @@ public class PlainPasswordReader implements IPasswordReader{
     }
 
     public String getPassword(String tag) {
-	return (String) mPwdStore.getProperty(tag);
+	return mPwdStore.getProperty(tag);
     }
 
     // return an array of String-based tag
diff --git a/pki/base/util/src/com/netscape/cmsutil/password/PlainPasswordWriter.java b/pki/base/util/src/com/netscape/cmsutil/password/PlainPasswordWriter.java
index 382c117b7684a2c83b140c11773afc8e4ae99bcf..c89effd32a95d5a389a867dfe809cd140f6de132 100644
--- a/pki/base/util/src/com/netscape/cmsutil/password/PlainPasswordWriter.java
+++ b/pki/base/util/src/com/netscape/cmsutil/password/PlainPasswordWriter.java
@@ -17,9 +17,10 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.password;
 
+import java.io.FileInputStream;
+import java.io.FileOutputStream;
+import java.io.IOException;
 import java.util.Properties;
-import java.io.*;
-import java.util.*;
 
 public class PlainPasswordWriter implements IPasswordWriter{
     private static final String PASSWORD_WRITER_HEADER = "";
@@ -50,7 +51,7 @@ public class PlainPasswordWriter implements IPasswordWriter{
 	throws IOException, ClassCastException, NullPointerException
     {
 	FileOutputStream file = new FileOutputStream(mPwdPath);
-	mPwdStore.store(file, PASSWORD_WRITER_HEADER);
+	mPwdStore.store(file, PlainPasswordWriter.PASSWORD_WRITER_HEADER);
     file.close();
     }
 
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/AccessAccept.java b/pki/base/util/src/com/netscape/cmsutil/radius/AccessAccept.java
index adff75a967c1a06f524e28c197cf61acae16d74e..c5f9828c130e31a5e85580a8de6f6cff9c6b2172 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/AccessAccept.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/AccessAccept.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class AccessAccept extends ServerPacket {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/AccessChallenge.java b/pki/base/util/src/com/netscape/cmsutil/radius/AccessChallenge.java
index 4db3ea9354585de397cbb01a6f4c5e92894d5ef7..bab34ffe9161d0839d47807335a037fab5cd8e0b 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/AccessChallenge.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/AccessChallenge.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class AccessChallenge extends ServerPacket {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/AccessReject.java b/pki/base/util/src/com/netscape/cmsutil/radius/AccessReject.java
index 96e4b1fae6f403c60c09abdb632d884454a1a27b..12081a6b94f2112f4d1df3e2446068d4aa2da6a8 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/AccessReject.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/AccessReject.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class AccessReject extends ServerPacket {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/AccessRequest.java b/pki/base/util/src/com/netscape/cmsutil/radius/AccessRequest.java
index 4098bbf15df9b7d5921a4253067b646a6d827cc5..c5f36a4d0d20655d905761d1160b9c1ce5a02d78 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/AccessRequest.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/AccessRequest.java
@@ -18,16 +18,11 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
 
 
 public class AccessRequest extends NASPacket {
     public AccessRequest(short id, Authenticator auth) {
-        super(ACCESS_REQUEST, id, auth);
+        super(Packet.ACCESS_REQUEST, id, auth);
     }
 
 }
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/Attribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/Attribute.java
index 16e60bb55b038e2da4eb9b0406d77e6efd6781e7..33c1f3929dba21ba1a0ae1631240bb296bfe41a9 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/Attribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/Attribute.java
@@ -18,11 +18,8 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.ByteArrayOutputStream;
+import java.io.IOException;
 
 
 public abstract class Attribute {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/AttributeFactory.java b/pki/base/util/src/com/netscape/cmsutil/radius/AttributeFactory.java
index 1290011fec7386d2cc964bbeacfcd8331d8f17d1..bf2369721de0e1f631fdd2090a5b34cbcc480c0e 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/AttributeFactory.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/AttributeFactory.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class AttributeFactory {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/AttributeSet.java b/pki/base/util/src/com/netscape/cmsutil/radius/AttributeSet.java
index 4c17f441dc6793fc6e8c9bca5f8b4603d9e80af7..e79b96f7c46fd9a0cd93cb2fd50829b518988df0 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/AttributeSet.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/AttributeSet.java
@@ -18,11 +18,8 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.util.Enumeration;
+import java.util.Vector;
 
 
 public class AttributeSet {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/Authenticator.java b/pki/base/util/src/com/netscape/cmsutil/radius/Authenticator.java
index 7fe06097505bb92e0110d5242466bd488652ddf9..3236d9b65c57a471f94a80d42908937412f07160 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/Authenticator.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/Authenticator.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public abstract class Authenticator {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/CHAPChallengeAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/CHAPChallengeAttribute.java
index 5ddc186bcbb4279837763cbff8b1daae6cd5a841..2180bd57bd7181266528511d14addf44cd3d4a2b 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/CHAPChallengeAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/CHAPChallengeAttribute.java
@@ -18,11 +18,7 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class CHAPChallengeAttribute extends Attribute {
@@ -30,7 +26,7 @@ public class CHAPChallengeAttribute extends Attribute {
 
     public CHAPChallengeAttribute(byte value[]) {
         super();
-        _t = CHAP_CHALLENGE;
+        _t = Attribute.CHAP_CHALLENGE;
         _str = new String(value, 2, value.length - 2);
     }
 
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/CHAPPasswordAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/CHAPPasswordAttribute.java
index 063ce891c3f1df4f943b64696342c417c28a3092..111da900020cf4fd8e8d8cea22949499d25fe98d 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/CHAPPasswordAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/CHAPPasswordAttribute.java
@@ -18,15 +18,10 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class CHAPPasswordAttribute extends Attribute {
-    private byte _value[] = null;
     private int _ident = 0;
     private String _str = null;
 
@@ -36,10 +31,9 @@ public class CHAPPasswordAttribute extends Attribute {
 
     public CHAPPasswordAttribute(byte value[]) {
         super();
-        _t = CHAP_PASSWORD;
+        _t = Attribute.CHAP_PASSWORD;
         _ident = value[2];
         _str = new String(value, 2, 16);
-        _value = value;
     }
 
     public int getIdent() {
diff --git a/pki/base/util/src/com/netscape/cmsutil/radius/CallbackIdAttribute.java b/pki/base/util/src/com/netscape/cmsutil/radius/CallbackIdAttribute.java
index c4c175be2ee1a77928e5ae2ab96e8be03562db78..90d496c27157f03b4c1c08aaefa4c64da8a44930 100644
--- a/pki/base/util/src/com/netscape/cmsutil/radius/CallbackIdAttribute.java
+++ b/pki/base/util/src/com/netscape/cmsutil/radius/CallbackIdAttribute.java
@@ -18,22 +18,16 @@
 package com.netscape.cmsutil.radius;
 
 
-import java.util.*;
-import java.math.*;
-import java.security.*;
-import java.net.*;
-import java.io.*;
+import java.io.IOException;
 
 
 public class CallbackIdAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public CallbackIdAttribute(byte value[]) {
         super();
-        _t = CALLBACK_ID;
+        _t = Attribute.CALLBACK_ID;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
